Modify the CIFS domain-related information for an SVM
Modifies the CIFS domain-related information for an SVM, adjusting settings such as password operations and discovery modes. Use this endpoint to update the domain configuration in your storage environment.
HTTP method and endpoint
PATCH /protocols/cifs/domains/{svm.uuid}
Introduced in
ONTAP 9.13
Usage notes
Modifies the CIFS domain-related information of the specified SVM.
Related ONTAP commands
-
vserver cifs domain password schedule modify -
vserver cifs domain discovered-servers discovery-mode modify -
vserver cifs domain password reset -
vserver cifs domain password change
Important notes
-
If the query is set to cifs_password_operation=reset and ad_domain_user and ad_domain_password is included in the body,a CIFS password reset is executed.
-
If the body is empty when the query is set to cifs_password_operation=reset, a CIFS password change is executed.
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
cifs_password_operation |
string |
query |
False |
Specifies the operation to be performed on the domain password.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs.
|
Request Body
| Name | Type | Description |
|---|---|---|
ad_domain |
Specifies the credentials of a user with permissions to reset the password in the organizational unit for the machine account. |
|
discovered_servers |
array[discovered_servers] |
Specifies the discovered servers records. |
name_mapping |
Specifies the name mapping search records. |
|
password_schedule |
Specifies the password schedule records. |
|
preferred_dcs |
array[preferred_dcs] |
Specifies the preferred DC records. |
server_discovery_mode |
string |
Specifies the mode of server discovery. |
svm |
SVM, applies only to SVM-scoped objects. |
|
trust_relationships |
array[trust_relationships] |
Specifies the trusted domain records. |
Example request
{
"ad_domain": {
"password": "string",
"user": "string"
},
"discovered_servers": [
{
"domain": "test.com",
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"preference": "string",
"server_ip": "string",
"server_name": "string",
"server_type": "string",
"state": "string"
}
],
"name_mapping": {
"trusted_domains": [
"domain.com"
]
},
"password_schedule": {
"schedule_day_of_week": "Sunday",
"schedule_description": "string",
"schedule_last_changed_time": "string",
"schedule_time_of_day": 36900,
"schedule_warn_message": "string"
},
"preferred_dcs": [
{
"fqdn": "test.com",
"server_ip": "4.4.4.4"
}
],
"server_discovery_mode": "string",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"trust_relationships": [
{
"home_domain": "string",
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"trusted_domains": [
"string"
]
}
]
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
262278 |
Domain user and password are required fields. |
655513 |
Password update failed due to invalid credentials. |
656392 |
Preferred DC's need to be configured if CIFS discovery mode is set to none. |
656393 |
Default site needs to be configured if CIFS discovery mode is set to site. |
Definitions
See Definitions
ad_domain
Specifies the credentials of a user with permissions to reset the password in the organizational unit for the machine account.
| Name | Type | Description |
|---|---|---|
password |
string |
The account password of the user with permissions to reset the password in the organizational unit for the machine account. |
user |
string |
The username of a user with permissions to reset the password in the organizational unit for the machine account. |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
node
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
discovered_servers
| Name | Type | Description |
|---|---|---|
domain |
string |
Fully Qualified Domain Name. |
node |
||
preference |
string |
Server Preference |
server_ip |
string |
Server IP address |
server_name |
string |
Server Name |
server_type |
string |
Server Type |
state |
string |
Server status |
name_mapping
Specifies the name mapping search records.
| Name | Type | Description |
|---|---|---|
trusted_domains |
array[string] |
password_schedule
Specifies the password schedule records.
| Name | Type | Description |
|---|---|---|
schedule_day_of_week |
string |
Day of the week for password change schedule. |
schedule_description |
string |
Schedule description. |
schedule_enabled |
boolean |
Is password schedule enabled. |
schedule_last_changed_time |
string |
Last successful password change time. |
schedule_randomized_minute |
integer |
Minutes within which schedule start can be randomized. |
schedule_time_of_day |
string |
Start time for password change schedule. |
schedule_warn_message |
string |
Warning message in case job is deleted. |
schedule_weekly_interval |
integer |
Interval in weeks for password change schedule. |
preferred_dcs
| Name | Type | Description |
|---|---|---|
fqdn |
string |
Fully Qualified Domain Name. |
server_ip |
string |
IP address of the preferred domain controller (DC). The address can be either an IPv4 or an IPv6 address. |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
trust_relationships
| Name | Type | Description |
|---|---|---|
home_domain |
string |
Home Domain Name |
node |
||
trusted_domains |
array[string] |
Trusted Domain Name |
cifs_domain
| Name | Type | Description |
|---|---|---|
ad_domain |
Specifies the credentials of a user with permissions to reset the password in the organizational unit for the machine account. |
|
discovered_servers |
array[discovered_servers] |
Specifies the discovered servers records. |
name_mapping |
Specifies the name mapping search records. |
|
password_schedule |
Specifies the password schedule records. |
|
preferred_dcs |
array[preferred_dcs] |
Specifies the preferred DC records. |
server_discovery_mode |
string |
Specifies the mode of server discovery. |
svm |
SVM, applies only to SVM-scoped objects. |
|
trust_relationships |
array[trust_relationships] |
Specifies the trusted domain records. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |